// constants won't change. They're used here to set pin numbers:
        const int buttonPin = 27;  // the number of the pushbutton pin
        const int ledPin = 26;    // the number of the LED pin
        
        // variables will change:
        int buttonState = 0;        // variable for reading the pushbutton status
        int lastButtonState = LOW;  // variable to store the previous button state
        int ledState = LOW;         // variable to store the current LED state
        bool buttonPressedFlag = false; // flag to indicate if button is pressed
        
        void setup() {
          // initialize the LED pin as an output:
          pinMode(ledPin, OUTPUT);
          // initialize the pushbutton pin as an input:
          pinMode(buttonPin, INPUT);
        }
        
        void loop() {
          // read the state of the pushbutton value:
          buttonState = digitalRead(buttonPin);
        
          // check if the button is pressed and the previous state was not pressed:
          if (buttonState == HIGH && lastButtonState == LOW && !buttonPressedFlag) {
            // set button pressed flag to true
            buttonPressedFlag = true;
            // toggle LED state:
            ledState = !ledState;
            // update LED accordingly:
            digitalWrite(ledPin, ledState);
          }
        
          // check if the button is released and the previous state was pressed:
          if (buttonState == LOW && lastButtonState == HIGH) {
            // reset button pressed flag
            buttonPressedFlag = false;
          }
        
          // save the current state as the last state, for next time through the loop:
          lastButtonState = buttonState;
        }