 // constants won't change. They're used here to set pin numbers:
        const int buttonPin = 27;   // the number of the pushbutton pin
        const int ledPins[] = {26, 0, 1}; // an array to hold the LED pin numbers
        const int numLeds = 3;      // number of LEDs
        int currentLed = 0;         // variable to keep track of the current LED
        int buttonState = 0;        // variable for reading the pushbutton status
        int lastButtonState = LOW;  // variable to store the previous button state
        bool buttonPressedFlag = false; // flag to indicate if button is pressed
        
        void setup() {
          // initialize the LED pins as outputs:
          for (int i = 0; i < numLeds; ++i) {
            pinMode(ledPins[i], OUTPUT);
          }
          // initialize the pushbutton pin as an input:
          pinMode(buttonPin, INPUT);
        }
        
        void loop() {
          // read the state of the pushbutton value:
          buttonState = digitalRead(buttonPin);
        
          // check if the button is pressed and the previous state was not pressed:
          if (buttonState == HIGH && lastButtonState == LOW && !buttonPressedFlag) {
            // set button pressed flag to true 
            buttonPressedFlag = true;
            
            // Turn off the previously lit LED
            digitalWrite(ledPins[currentLed], LOW);
            
            // Move to the next LED
            currentLed = (currentLed + 1) % numLeds;
            
            // Toggle the state of the current LED
            digitalWrite(ledPins[currentLed], HIGH);
          }
        
          // check if the button is released and the previous state was pressed:
          if (buttonState == LOW && lastButtonState == HIGH) {
            // reset button pressed flag
            buttonPressedFlag = false;
          }
        
          // save the current state as the last state, for next time through the loop:
          lastButtonState = buttonState;
        }
         